Bug 215833 - Allow customization of whether quick search field should always be shown, or not.
Allow customization of whether quick search field should always be shown, or ...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
7.3
PC Linux
: P2 (vote)
: 7.3
Assigned To: apireviews
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 13:24 UTC by Theofanis Oikonomou
Modified: 2012-08-03 02:34 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The proposed patch (3.66 KB, patch)
2012-07-23 13:42 UTC, Theofanis Oikonomou
Details | Diff
final patch (4.38 KB, patch)
2012-07-31 15:05 UTC, Theofanis Oikonomou
Details | Diff
final patch (4.07 KB, patch)
2012-08-01 09:25 UTC, Theofanis Oikonomou
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Theofanis Oikonomou 2012-07-23 13:24:50 UTC
The current implementation of org.openide.awt.QuickSearch shows the search
field, after the user starts typing something. This automatic behavior is not practical for some usages (e.g. options dialog). Therefore, we should allow to always show the search field.
Comment 1 Theofanis Oikonomou 2012-07-23 13:42:58 UTC
Created attachment 122269 [details]
The proposed patch

Please review. Thank you
Comment 2 Theofanis Oikonomou 2012-07-31 15:05:33 UTC
Created attachment 122594 [details]
final patch

This patch makes the quicksearch always visible in the options window. Please review. Thank you
Comment 3 Martin Entlicher 2012-07-31 16:17:55 UTC
The change is fine for me.
But the line "searchPanel.setBackground(component.getBackground());" is in trunk already (I've already added this), so please do not add it again.
Also, the current specification version is 7.48 already, therefore the new one should be 7.49, like in the first patch.
Comment 4 Theofanis Oikonomou 2012-08-01 09:25:00 UTC
Created attachment 122620 [details]
final patch

You are right. I made the changes. Thank you Martin. If there are no more comments I will integrate tomorrow.
Comment 5 Theofanis Oikonomou 2012-08-02 09:33:06 UTC
Integrated in core-main: http://hg.netbeans.org/core-main/rev/5c58285a6b1b
Comment 6 Quality Engineering 2012-08-03 02:34:21 UTC
Integrated into 'main-golden', will be available in build *201208030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5c58285a6b1b
User: Theofanis Oikonomou <theofanis@netbeans.org>
Log: Issue #215833 - Allow customization of whether quick search field should always be shown, or not.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo